# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/mtd/spi-nand.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: SPI-NAND flash device tree bindings

maintainers:
  - Miquel Raynal <miquel.raynal@bootlin.com>

allOf:
  - $ref: "nand-chip.yaml#"
  - $ref: /schemas/spi/spi-peripheral-props.yaml#

properties:
  compatible:
    const: spi-nand

  reg:
    description: Encode the chip-select line on the SPI bus
    maxItems: 1

required:
  - compatible
  - reg

unevaluatedProperties: false
